Python CLI - Task #2467
Feature # 2652 (Closed): Python CLI - Version 2

Allow "-" for input or output filename
2012-03-09 19:42 - Andrew Pippin

Status: Rejected
Priority: Low
Assignee: Roger Dahl
Category:

Target version: CLI_2.0.0

Story Points:

Start date: 2012-03-09
Due date:

% Done: 0%
Estimated time: 2.00 hours

Description

In the unix world, it is common to use a dash ("-") to represent stdin or stdout. This would be helpful, especially on the

command-line.
Example usage:
# Outputs to the screen
@dataone.py meta some_pid -@

# takes the object from stdin.

@cat this.xml | dataone.py --object-format=text/xml create some_pid -@

History

#1 - 2012-05-07 21:51 - Andrew Pippin
- Assignee deleted (Andrew Pippin)
- Parent task set to #2652

Putting this task under the Version 2 Python CLI story.

#2 - 2013-08-23 15:31 - Roger Dahl

- translation missing: en.field_remaining_hours set to 2.0

- Assignee set to Roger Dahl

#3 - 2014-10-02 17:55 - Dave Vieglais

- Target version set to Maintenance Backlog

#4 - 2015-01-13 16:21 - Dave Vieglais

- Target version changed from Maintenance Backlog to CCI-2.0.0

#5 - 2015-01-13 16:23 - Dave Vieglais
- Assignee changed from Roger Dahl to Mark Flynn

#6 - 2016-04-21 22:39 - Roger Dahl
- Assignee changed from Mark Flynn to Roger Dahl

#7 - 2018-01-09 02:43 - Dave Vieglais

- Status changed from New to Rejected

2024-04-09

1/1



http://www.tcpdf.org

